package com.gyee.viewticket.controller.viewticket;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.service.ticket.CompaniesService;
import com.gyee.viewticket.service.ticket.PolineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-07-17
 */
@RestController
@RequestMapping("/companies")
public class CompaniesController {



    @Autowired
    CompaniesService companiesService;

    /**
     * 查询
     * @return
     */
    // @CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getCompaniesList(){
        try {
            List<Map> list = companiesService.getCompaniesList();
            return AjaxResult.successData(list);
        } catch (Exception e) {
            return AjaxResult.error();
        }
    }

}

