package com.gyee.viewticket.controller.viewticket;


import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.service.ticket.WarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-07-17
 */
@RestController
@RequestMapping("/warehouse")
public class WarehouseController {


    @Autowired
    WarehouseService warehouseService;

    /**
     * 查询
     * @return
     */
    // @CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getWarehouseList(){
        try {
            List<Map> list = warehouseService.getwarehouseList();
            return AjaxResult.successData(list);
        } catch (Exception e) {
            return AjaxResult.error();
        }
    }

}

