package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-07-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("COMPANIES")
public class Companies extends Model<Companies> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("COMPANY")
    private String company;

    @TableField("PARENT")
    private String parent;

    @TableField("TYPE")
    private String type;

    @TableField("REGFUND")
    private String regfund;

    @TableField("COMPTYPE")
    private String comptype;

    @TableField("DELEGATE")
    private String delegate;

    @TableField("REGNUM")
    private String regnum;

    @TableField("TAXNUM")
    private String taxnum;

    @TableField("MAINPROD")
    private String mainprod;

    @TableField("DEALIN")
    private String dealin;

    @TableField("ADDRESS")
    private String address;

    @TableField("POSTNUM")
    private String postnum;

    @TableField("PROVINCE")
    private String province;

    @TableField("CITY")
    private String city;

    @TableField("CONTACT")
    private String contact;

    @TableField("PHONE")
    private String phone;

    @TableField("FAX")
    private String fax;

    @TableField("CONTACTMP")
    private String contactmp;

    @TableField("CONTACTMAIL")
    private String contactmail;

    @TableField("FOB")
    private String fob;

    @TableField("FREIGHTTERMS")
    private String freightterms;

    @TableField("SHIPVIA")
    private String shipvia;

    @TableField("PAYMENTTERMS")
    private String paymentterms;

    @TableField("EBSNUM")
    private String ebsnum;

    @TableField("EBSISSYNC")
    private String ebsissync;

    @TableField("CHANGEBY")
    private String changeby;

    @TableField("CHANGEDATE")
    private LocalDateTime changedate;

    @TableField("PAYVENDOR")
    private String payvendor;

    @TableField("BANKNAME")
    private String bankname;

    @TableField("BANKACCOUNT")
    private String bankaccount;

    @TableField("DISABLED")
    private String disabled;

    @TableField("REMITADDR")
    private String remitaddr;

    @TableField("REMITPOSTNUM")
    private String remitpostnum;

    @TableField("REMITPHONE")
    private String remitphone;

    @TableField("REMITTO")
    private String remitto;

    @TableField("HOMEPAGE")
    private String homepage;

    @TableField("DEFWAREHOUSE")
    private String defwarehouse;

    @TableField("DESCRIPTION")
    private String description;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
