package com.gyee.viewticket.service.impl.ticket;

import com.gyee.viewticket.model.ticket.Companies;
import com.gyee.viewticket.mapper.ticket.CompaniesMapper;
import com.gyee.viewticket.service.ticket.CompaniesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-07-17
 */
@Service
public class CompaniesServiceImpl extends ServiceImpl<CompaniesMapper, Companies> implements CompaniesService {

    @Autowired
    CompaniesMapper companiesMapper;
    @Override
    public List<Map> getCompaniesList() {
        List<Map> map =  companiesMapper.selectCompaniesList();
        return map;
    }
}
